package com.rjconsultores.ventaboletos.web.utilerias.render;



import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Parada;

/**
 * 
 * @author wallace
 */
public class RenderParadaConfTotem implements ListitemRenderer {

	private EventListener listenerGenerico;
	public static final String BOTAO_ADICIONAR_PERMISSAO = "btnAdicionarPermissao";

	public RenderParadaConfTotem(EventListener listenerGenerico) {
		super();
		this.listenerGenerico = listenerGenerico;
	}

	public RenderParadaConfTotem() {
		super();
	}

	public void render(Listitem lstm, Object o) throws Exception {

		Parada parada = (Parada) o;
		
		Listcell lc = new Listcell(parada.getDescparada().toString());
		lc.setParent(lstm);

		lc = new Listcell();

		Button btnAdicionarPermissao = new Button("");
		btnAdicionarPermissao.setAttribute("data", o);
		btnAdicionarPermissao.setAttribute("tipo", "btnAdicionarPermissao");
		btnAdicionarPermissao.addEventListener("onClick", listenerGenerico);
		btnAdicionarPermissao.setImage("/gui/img/add.png");
		lc.appendChild(btnAdicionarPermissao);

		lc.setParent(lstm);

		lstm.setAttribute("data", parada);
	}
}
